@using IpProject.UI.MVC
@using Microsoft.AspNetCore.Identity
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <title>@ViewData["Title"] - UI_MVC</title>
    <script src="~/dist/site.entry.js" defer></script>
     @await RenderSectionAsync("Scripts", required: false)
    <link rel="stylesheet" href="~/dist/site.css">
    <!-- deze links hieronder moeten later verwijderd worden voor npm-->
    <link rel="stylesheet" href="~/css/site.css" asp-append-version="true"/>
    <link rel="stylesheet" href="~/UI_MVC.styles.css" asp-append-version="true"/>
    <link rel="stylesheet" href="~/css/flowcss.css" asp-append-version="true"/>
</head>
<body>
<header>
    <nav class="navbar navbar-expand-sm navbar-toggleable-sm navbar-light bg-white border-bottom box-shadow mb-3">
        <div class="container-fluid">
            <a class="navbar-brand" asp-area="" asp-controller="Home" asp-action="Index">UI_MVC</a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target=".navbar-collapse" aria-controls="navbarSupportedContent"
                    aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="navbar-collapse collapse d-sm-inline-flex justify-content-between">
                <ul class="navbar-nav flex-grow-1">
                    <li class="nav-item">
                        <a class="nav-link text-dark" asp-area="" asp-controller="Home" asp-action="Index">Home</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link text-dark" asp-area="" asp-controller="LineFlow" asp-action="Index">Linear</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link text-dark" asp-area="" asp-controller="CircFlow" asp-action="SubthemeIndex">Circulair</a>
                    </li>
                    @if (User.IsInRole(CustomIdentityConstants.AdminRole)){
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="Mode" asp-action="Index">Modus</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="DashboardAdmin" asp-action="Index">Dashboard</a>
                        </li>
                    }
                     @if (User.IsInRole(CustomIdentityConstants.AdminRole) || User.IsInRole(CustomIdentityConstants.ManagerRole)){
                         <li class="nav-item">
                             <a class="nav-link text-dark" asp-area="" asp-controller="DashboardBeheerder" asp-action="Index">Beheerder</a>
                         </li>
                         }
                    <li class="nav-item">
                        <a class="nav-link text-dark" asp-area="" asp-controller="Idea" asp-action="IdeaView">Ideas</a>
                    </li>
                </ul >
                <partial name="_LoginPartial"/>
            </div>
        </div>
    </nav>
</header>
<div class="container">
    <main role="main" class="pb-3">
        @RenderBody()
    </main>
</div>

<footer class="border-top footer text-muted">
    <i class="bi bi-c-circle"></i> @($"{DateTime.Now: yyyy}") - IntegratieProject - Verkiezingen - <a asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
</footer>
<script src="~/lib/jquery/dist/jquery.min.js"></script>
<script src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
<script src="~/js/site.js" asp-append-version="true"></script>
</body>
</html>